# Get actors

Get list of actors

Endpoint: GET /actors/{offset}/{amount}
Version: 0.9.74
Security: bearer, apiKey, apiSecret

## Header parameters:

  - `Authorization` (string, required)

## Path parameters:

  - `offset` (integer, required)

  - `amount` (string, required)

## Response 200 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `totalResults` (integer)

  - `actors` (array)

  - `actors.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `actors.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actors.uuid` (string, required)

  - `actors.primaryPlatformId` (string, required)

  - `actors.createdAt` (string)
    The date and time this Entity has been created

  - `actors.updatedAt` (string)
    The date and time this Entity has been updated

  - `actors.language` (object)
    circular reference

  - `actors.name` (string)

  - `actors.user` (object)
    circular reference

  - `actors.identifiers` (array)

  - `actors.identifiers.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `actors.identifiers.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actors.identifiers.uuid` (string, required)

  - `actors.identifiers.primaryPlatformId` (string, required)

  - `actors.identifiers.createdAt` (string)
    The date and time this Entity has been created

  - `actors.identifiers.updatedAt` (string)
    The date and time this Entity has been updated

  - `actors.identifiers.language` (object)
    circular reference

  - `actors.identifiers.name` (string)

  - `actors.identifiers.system` (string)

  - `actors.identifiers.value` (string)

  - `actors.identifiers.expiredAt` (string)

  - `actors.contactDetails` (array)

  - `actors.contactDetails.id` (string, required)
    Uniquely identifies this entity. A ID can be assigned  or will be generated by the server if the request doesn't provide it. Once assigned, the ID can't be changed

  - `actors.contactDetails.nonce` (string)
    Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.

  - `actors.contactDetails.uuid` (string, required)

  - `actors.contactDetails.primaryPlatformId` (string, required)

  - `actors.contactDetails.createdAt` (string)
    The date and time this Entity has been created

  - `actors.contactDetails.updatedAt` (string)
    The date and time this Entity has been updated

  - `actors.contactDetails.language` (object)
    circular reference

  - `actors.contactDetails.type` (string)
    Enum: "iban", "gln", "vatCode", "name", "lastName", "middleName", "firstName", "phone", "mobilePhone", "email", "language", "other"

  - `actors.contactDetails.value` (string)

  - `actors.contactDetails.remarks` (string)

## Response 400 fields (application/json):

  - `success` (boolean)

  - `message` (string)

  - `code` (integer)

  - `errors` (array)

  - `suggestion` (string)


